<div class="modal-header">
    <h4 class="modal-title" id="modal-title">{{post?.title}}</h4>
    <button type="button" class="btn-close" aria-label="Close button" aria-describedby="modal-title" (click)="modal.dismiss('Cross click')"></button>
</div>
<div class="modal-body">
    <form [formGroup]="form">
        <div>
            <label for="title">Title:</label>
            <input id="title" class="form-control" formControlName="title" type="text">
        </div>
        <div>
            <label for="body">Description:</label>
            <textarea
                    rows="7"
                    id="body"
                    class="form-control textarea"
                    formControlName="body"
                    [ngClass]="{'border-danger': !form.get('body')?.valid && form.get('body')?.dirty, 'textarea-error': form.get('body')?.hasError('maxlength')}"
            >
            </textarea>
            <p class="text-danger text-end" *ngIf="form.controls['body'].hasError('maxlength')">
                Must be less than 450 characters
            </p>
        </div>
    </form>
</div>
<div class="modal-footer">
    <button type="button" class="btn btn-outline-secondary" (click)="modal.dismiss('cancel click')">Cancel</button>
    <button [disabled]="form.invalid" type="button" ngbAutofocus class="btn btn-danger" (click)="modal.close(form.value)">
        <ng-container *ngIf="mode === 'update';else create">Update</ng-container>
        <ng-template #create>Create</ng-template>
    </button>
</div>
